<?php

namespace App\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

#[Route('/calendrier')]
class CalendrierController extends AbstractController
{
    #[Route(name: 'app_calendrier_index', methods: ['GET'])]
    public function index(): Response
    {
        return $this->render('calendrier/index.html.twig', [
            'controller_name' => 'CalendrierController',
        ]);
    }

    #[Route('/secretaire', name: 'app_calendrier_indexSecretaire')]
    public function indexSecretaire(): Response
    {
        return $this->render('calendrier/indexSecretaire.html.twig', [
            'controller_name' => 'CalendrierController',
        ]);
    }

    #[Route('/chauffagiste', name: 'app_calendrier_indexChauffagiste')]
    public function indexChauffagiste(): Response
    {
        return $this->render('calendrier/indexChauffagiste.html.twig', [
            'controller_name' => 'CalendrierController',
        ]);    }

    // créer intervention : secretaire + admin
        // créer un nouveau rdv
        // modifier un rdv
        // supprimer un rdv
    // choisir un chauffagiste
    // deconnexion

    // créer intervention : chauffagiste
        // modifier un rdv
    // deconnexion

            // quand on créer une rdv, alors cela nous redirige vers la page intervention
}
